package risk.messagetool;

import java.util.Locale;

public interface Mtcomm {

	boolean load() throws Exception;

	void addChildren(MyNode node) throws Exception;

	Locale[] getLocales() throws Exception;

	String getMessage(MyNode node, Locale l) throws Exception;

	void saveMessage(MyNode node, Locale l, String message) throws Exception;

	Result[] search(String s) throws Exception;

}
